'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = freeze;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _deepFreeze = require('deep-freeze');

var _deepFreeze2 = _interopRequireDefault(_deepFreeze);

/**
 * Middleware to freeze state from being mutated anywhere in the app.
 */

function freeze(store) {
  return function (next) {
    return function (action) {
      (0, _deepFreeze2['default'])(store.getState());
      next(action);
      (0, _deepFreeze2['default'])(store.getState());
    };
  };
}

module.exports = exports['default'];